• Precios
  • Blog
Iniciar sesiónAgendá una demo
Batch create customers POSTGrant customer credit POSTCreate customer POSTGet customer GETList customer credits GETList customers GETRevoke remaining customer credit POSTUpdate customer PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Create customer

Create a new customer. Idempotent when customerId is provided.

POST
/customers

Create a new customer. Idempotent when customerId is provided.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Header Parameters

Idempotency-Key?string

Unique key used to safely retry this write for 24 hours without applying it twice.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customers" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{  "id": "string",  "externalId": "string",  "fullName": "string",  "email": "string",  "taxDocument": "string",  "documentType": "string",  "timezone": "string",  "metadata": {    "property1": null,    "property2": null  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "object": "customer",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Grant customer credit POST

Grant monetary credit in one currency. Credit is applied FIFO before tax to eligible recurring invoices.

Get customer GET

Retrieve a customer by their public ID, including subscription status and metadata.

id?string
Lengthlength <= 100
externalId?string
Lengthlength <= 100
fullName?string
Lengthlength <= 200
taxDocument?string
Lengthlength <= 50
address?
addressId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
email*string
Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
Lengthlength <= 200
timezone?Timezone
Default"UTC"

Value in

  • "UTC"
  • "America/New_York"
  • "America/Chicago"
  • "America/Denver"
  • "America/Los_Angeles"
  • "America/Sao_Paulo"
  • "America/Mexico_City"
  • "America/Buenos_Aires"
  • "America/Santiago"
  • "America/Bogota"
  • "America/Lima"
  • "America/Asuncion"
  • "Europe/London"
  • "Europe/Paris"
  • "Europe/Berlin"
  • "Europe/Madrid"
  • "Asia/Tokyo"
  • "Asia/Shanghai"
  • "Asia/Singapore"
  • "Asia/Dubai"
  • "Australia/Sydney"
metadata?
Default{}